> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List enrollments

> Retrieves a list of biometrics enrollments for a given device.



## OpenAPI

````yaml api-reference/banking-api/receivables/biometrics/openapi.json GET /biometrics/enrollments
openapi: 3.0.0
info:
  title: Trio Biometrics API
  version: 0.1.0
servers:
  - url: http://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /biometrics/enrollments:
    get:
      tags:
        - biometrics
      summary: List biometrics enrollments by device_id
      description: Retrieves a list of biometrics enrollments for a given device.
      operationId: TrioInitiationWeb.Biometrics.EnrollmentController.index
      parameters:
        - description: Device ID
          in: query
          name: device_id
          required: true
          schema:
            type: string
        - description: Load participants
          in: query
          name: load_participants
          required: false
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Enrollment_list_response'
          description: Enrollments
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    Enrollment_list_response:
      description: Response schema for listing biometrics enrollments
      example:
        data:
          - device_id: 019f9fbf-2cf4-10b2-6c9b-9c75a62a232d
            expiration_datetime: '2026-08-26T00:00:00Z'
            external_id: external_id_example
            id: 019f9fbf-2cf3-e70b-9e1c-2ccb4ec54c4c
            inserted_at: '2026-07-26T00:00:00Z'
            participant_id: 019f9fbf-2cf4-f5a3-751e-7ed72303fa36
            redirect_url: http://teste.com
            status: awaiting_enrollment
            updated_at: '2026-07-26T00:00:00Z'
            participant:
              avatar: >-
                https://cdn.raidiam.io/directory-ui/brand/obbrazil/0.2.0.112/favicon.svg
              id: 019f9fbf-2cf4-f5a3-751e-7ed72303fa36
              integration_id: 019fa021-d9f9-7fa9-6f53-afc7b32f7b93
              is_enrollment_available: true
              ispb: '12345678'
              name: Mock Bank
              slug: mock-bank
              status: active
              unavailable: false
      properties:
        data:
          description: List of enrollments
          items:
            $ref: '#/components/schemas/Enrollment_with_participant'
          type: array
      title: Enrollment_list_response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    Enrollment_with_participant:
      description: A biometrics enrollment with participant info
      example:
        device_id: 019f9fbf-2cb3-fd23-8e3e-05ab526f484e
        expiration_datetime: '2026-08-26T00:00:00Z'
        external_id: external_id_example
        id: 019f9fbf-2cb3-3924-4e1b-67a839a86c83
        inserted_at: '2026-07-26T00:00:00Z'
        participant_id: 019f9fbf-2cb3-63d1-5f56-6472a1eb9c8b
        redirect_url: http://teste.com
        status: awaiting_enrollment
        updated_at: '2026-07-26T00:00:00Z'
        participant:
          avatar: >-
            https://cdn.raidiam.io/directory-ui/brand/obbrazil/0.2.0.112/favicon.svg
          id: 019f9fbf-2cb3-63d1-5f56-6472a1eb9c8b
          integration_id: 019fa021-d9f9-7fa9-6f53-afc7b32f7b93
          is_enrollment_available: true
          ispb: '12345678'
          name: Mock Bank
          slug: mock-bank
          status: active
          unavailable: false
      properties:
        device_id:
          description: Device ID
          format: uuid
          type: string
        expiration_datetime:
          description: Expiration datetime
          format: date-time
          nullable: true
          type: string
        external_id:
          description: External ID
          nullable: true
          type: string
        id:
          description: Enrollment ID
          format: uuid
          type: string
        inserted_at:
          description: Created at
          format: date-time
          type: string
        participant_id:
          description: Participant ID
          format: uuid
          type: string
        redirect_url:
          description: Redirect URL
          nullable: true
          type: string
        status:
          description: Enrollment status
          type: string
        updated_at:
          description: Updated at
          format: date-time
          type: string
        participant:
          description: >-
            Participant data. Only present when load_participants query
            parameter is true.
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Biometrics_Participant'
            - type: string
              nullable: true
      title: Enrollment_with_participant
      type: object
    Biometrics_Participant:
      description: A biometrics participant
      example:
        avatar: >-
          https://cdn.raidiam.io/directory-ui/brand/obbrazil/0.2.0.112/favicon.svg
        id: 019fa021-d9f8-a4b4-0683-068db83a1f65
        integration_id: 019fa021-d9f9-7fa9-6f53-afc7b32f7b93
        is_enrollment_available: true
        ispb: '12345678'
        name: Mock Bank
        slug: mock-bank
        status: active
        unavailable: false
      properties:
        avatar:
          description: Avatar URL
          type: string
        id:
          description: Participant ID
          format: uuid
          type: string
        integration_id:
          description: Integration ID
          type: string
        is_enrollment_available:
          description: Whether enrollment is available
          type: boolean
        ispb:
          description: ISPB code
          type: string
        name:
          description: Participant name
          type: string
        slug:
          description: Slug
          type: string
        status:
          description: Participant status
          type: string
        unavailable:
          description: Whether participant is unavailable
          type: boolean
      title: Biometrics_Participant
      type: object

````